Bug 444489 - [Wayland] Kickoff launches dragged-and-dropped favorite when I click on any part of it
Summary: [Wayland] Kickoff launches dragged-and-dropped favorite when I click on any p...
Status: CONFIRMED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Application Launcher (Kickoff) (show other bugs)
Version: 5.23.2
Platform: Archlinux Linux
: NOR normal
Target Milestone: 1.0
Assignee: David Edmundson
URL:
Keywords: regression, wayland
: 446545 449144 451419 454817 456088 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-10-27 14:37 UTC by Patrick Silva
Modified: 2022-07-06 22:40 UTC (History)
10 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2021-10-27 14:37:37 UTC
STEPS TO REPRODUCE
1. use Wayland session
2. open Kickoff
3. drag-and-drop any app in favorites list
4. click on any part of Kickoff

OBSERVED RESULT
Kickoff launches the favorite dragged-and-dropped in the step 3

EXPECTED RESULT
observed result should not occur

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Arch Linux
(available in About System)
KDE Plasma Version: 5.23.2
KDE Frameworks Version: 5.87.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION
categories/apps/buttons are not highlighted on mouseover after drag-and-drop
in the step 3.
Comment 1 Nate Graham 2021-10-28 15:54:35 UTC
Can reproduce.
Comment 2 Patrick Silva 2021-12-06 21:46:40 UTC
*** Bug 446545 has been marked as a duplicate of this bug. ***
Comment 3 Nate Graham 2022-01-12 17:41:03 UTC
Cannot reproduce anymore with current git master version after a few DnD fixes went in. Can you?
Comment 4 Patrick Silva 2022-01-12 18:25:17 UTC
it's still reproducible on my neon unstable.
Comment 5 Nate Graham 2022-01-13 19:06:34 UTC
Argh, now it's reproducing again for me! Looks like it's a heisenbug.
Comment 6 Bacteria 2022-01-19 07:57:15 UTC
I can reproduce this bug but for me the bug is not limited to favorites:

1) Drag any item anywhere on the panel
2) Release the drag
3) Then click once anywhere on the panel
4) Application launches
Comment 7 Nate Graham 2022-01-25 21:45:20 UTC
*** Bug 449144 has been marked as a duplicate of this bug. ***
Comment 8 Nate Graham 2022-03-25 03:53:49 UTC
*** Bug 451419 has been marked as a duplicate of this bug. ***
Comment 9 Akseli Lahtinen 2022-05-04 17:32:32 UTC
Can reproduce in following setup:

Operating System: Fedora Linux 35
KDE Plasma Version: 5.24.4
KDE Frameworks Version: 5.91.0
Qt Version: 5.15.2
Kernel Version: 5.17.5-200.fc35.x86_64 (64-bit)
Graphics Platform: Wayland
Processors: 12 × AMD Ryzen 5 3600 6-Core Processor
Memory: 15,6 GiB of RAM
Graphics Processor: AMD Radeon RX 480 Graphics
Comment 10 Bacteria 2022-06-04 11:07:25 UTC
*** Bug 454817 has been marked as a duplicate of this bug. ***
Comment 11 Nate Graham 2022-06-29 15:48:38 UTC
*** Bug 456088 has been marked as a duplicate of this bug. ***